/*! 
	\file deux.h
	\author GOIGOUX Lucie & JEUDI--LEMOINE Alix
	\date 23/12/22
	\brief Partie 2 de la SAE 1.02

	Application de gestion des candidature dans les IUT de France
*/

#define LEN_MAX 30

typedef struct {
    char ville[LEN_MAX], departement[LEN_MAX];
    int decision, validation;
} Candidature;

typedef Candidature** ListeCandidatures;

typedef struct {
    char nom[LEN_MAX], prenom[LEN_MAX];
    float moyenneMath, moyenneFrancais, moyenneAnglais, moyenneSpecialite;
    int nbCandidatures;
    ListeCandidatures listeCandidatures;
} Candidat;

typedef Candidat** ListeCandidats;

Candidat* creerCandidat(void);
void afficherCandidat(Candidat* candidat);
ListeCandidats lireCandidats(int* nbCandidats);
int sauvegarderCandidatures(ListeCandidats liste);

void test2(void);